<?php



class TblblogMapBuilder implements MapBuilder {

	
	const CLASS_NAME = 'lib.model.map.TblblogMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap(TblblogPeer::DATABASE_NAME);

		$tMap = $this->dbMap->addTable(TblblogPeer::TABLE_NAME);
		$tMap->setPhpName('Tblblog');
		$tMap->setClassname('Tblblog');

		$tMap->setUseIdGenerator(true);

		$tMap->addPrimaryKey('BL_ID', 'BlId', 'INTEGER', true, null);

		$tMap->addColumn('BL_SHORTNAME', 'BlShortname', 'VARCHAR', true, 255);

		$tMap->addColumn('BL_TITLE', 'BlTitle', 'VARCHAR', true, 255);

		$tMap->addForeignKey('BL_USER', 'BlUser', 'INTEGER', 'tbluser', 'US_ID', true, null);

		$tMap->addColumn('BL_MODULE_CONFIG', 'BlModuleConfig', 'LONGVARCHAR', true, null);

		$tMap->addColumn('BL_CATEGORY', 'BlCategory', 'LONGVARCHAR', true, null);

		$tMap->addColumn('BL_HIT', 'BlHit', 'INTEGER', true, null);

		$tMap->addColumn('BL_TYPE', 'BlType', 'TINYINT', true, null);

		$tMap->addColumn('BL_ACTIVE', 'BlActive', 'TINYINT', true, null);

		$tMap->addColumn('BL_LASTUPDATE', 'BlLastupdate', 'TIMESTAMP', true, null);

		$tMap->addColumn('BL_SCHOOL', 'BlSchool', 'INTEGER', false, null);

		$tMap->addColumn('BL_PAGEVIEWS', 'BlPageviews', 'INTEGER', false, null);

		$tMap->addColumn('BL_HOST', 'BlHost', 'VARCHAR', false, 255);

		$tMap->addColumn('BL_COMMEXPIRE', 'BlCommexpire', 'TIMESTAMP', false, null);

	} 
} 